Package ru.bitel.bgbilling.modules.subscription.server.bean

# Class SubscriptionUtils

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.subscription.server.bean.SubscriptionUtils

public class SubscriptionUtils extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriptionUtils(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `addSubscriptionJob(Subscription subscription, int moduleId, Date jobDateTime, SubscriptionDao subscriptionDao)`
  `BigDecimal`
  `getSubscriptionCost(List<bitel.billing.server.tariff.TariffModuleTree> tariffModuleTrees, Date initDate, int serviceId, int contractId)`
  `List<bitel.billing.server.tariff.TariffModuleTree>`
  `getSubscriptionTariffModuleTree(int contractId, Date initDate, int moduleId)`
  `void`
  `subscriptionActivate(Subscription subscription, Date initDate, int moduleId, int userId, boolean changeBalance, SubscriptionDao subscriptionDao)`
  `void`
  `subscriptionActivate(Subscription subscription, Date initDate, int moduleId, int userId, SubscriptionDao subscriptionDao)`
  `void`
  `subscriptionActivateApply(int contractId, int subscriptionId, int serviceId, Date initDate, BigDecimal cost, PeriodWithTime newRegistrationPeriod, int moduleId, int userId, SubscriptionDao subscriptionDao, BalanceUtils balanceUtils)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubscriptionUtils

    public SubscriptionUtils(Connection con)

- ## Method Details

  - ### subscriptionActivate

    public void subscriptionActivate(Subscription subscription, Date initDate, int moduleId, int userId, SubscriptionDao subscriptionDao) throws Exception
    Throws:
      `Exception`

  - ### subscriptionActivate

    public void subscriptionActivate(Subscription subscription, Date initDate, int moduleId, int userId, boolean changeBalance, SubscriptionDao subscriptionDao) throws Exception
    Throws:
      `Exception`

  - ### addSubscriptionJob

    public long addSubscriptionJob(Subscription subscription, int moduleId, Date jobDateTime, SubscriptionDao subscriptionDao) throws Exception
    Throws:
      `Exception`

  - ### subscriptionActivateApply

    public void subscriptionActivateApply(int contractId, int subscriptionId, int serviceId, Date initDate, BigDecimal cost, PeriodWithTime newRegistrationPeriod, int moduleId, int userId, SubscriptionDao subscriptionDao, BalanceUtils balanceUtils) throws Exception
    Throws:
      `Exception`

  - ### getSubscriptionTariffModuleTree

    public List<bitel.billing.server.tariff.TariffModuleTree> getSubscriptionTariffModuleTree(int contractId, Date initDate, int moduleId)

  - ### getSubscriptionCost

    public BigDecimal getSubscriptionCost(List<bitel.billing.server.tariff.TariffModuleTree> tariffModuleTrees, Date initDate, int serviceId, int contractId)